Skip to content

Endpoint Categories.

POST
/api/shape/bot/namespaces/{namespace}/reporting/endpoint/categories
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/endpoint/categories \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "category": "example", "end_time": "example", "filters": { "action_taken": { "actions_taken": [ "example" ], "op": "IN" }, "app_id_filter": { "app_id_strings": [ "example" ], "op": "IN" }, "application_name": { "application_names": [ "example" ], "op": "IN" }, "as_org_filter": { "as_orgs": [ "example" ], "op": "IN" }, "attack_intent_filter": { "attack_intent_strings": [ "example" ], "op": "IN" }, "automation_type_filter": { "automation_type_strings": [ "example" ], "op": "IN" }, "browser_filter": { "browser_strings": [ "example" ], "op": "IN" }, "country_filter": { "country_strings": [ "example" ], "op": "IN" }, "host_filter": { "host_strings": [ "example" ], "op": "IN" }, "inference_filter": { "inference_strings": [ "example" ], "op": "IN" }, "ip_filter": { "ips": [ "example" ], "op": "IN" }, "method_filter": { "method_strings": [ "example" ], "op": "IN" }, "os_filter": { "op": "IN", "os_strings": [ "example" ] }, "referer_filter": { "op": "IN", "referer_strings": [ "example" ] }, "region_filter": "US", "traffic_type_filter": { "op": "IN", "traffic_type_strings": [ "example" ] }, "ua_filter": { "op": "IN", "ua_strings": [ "example" ] }, "uri_filter": { "op": "IN", "uri_strings": [ "example" ] } }, "namespace": "example", "start_time": "example", "use_raw_data": true, "virtual_host": "example" }'

GET Endpoint Category Breakdown.

Examples of this operation.

namespace
required
string

Namespace

x-required namespace is used to scope the query. Only virtual_host in given namespace will be considered.

Media typeapplication/json
TrafficOverviewRequest

Request for Shape Bot Defense traffic overview.

object
category
Category

Endpoint category label.

string
<= 1024 characters
end_time
End time

End time of the query period Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
filters
object
action_taken
object
actions_taken
Action Taken

A list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
app_id_filter
object
app_id_strings
App ID Strings

An unordered list of App ID strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
application_name
object
application_names
Application Name

A list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
as_org_filter
object
as_orgs
AS Organizations

An unordered list of as org strings Required: YES.

Array<string>
>= 1 items <= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
attack_intent_filter
object
attack_intent_strings
Attack Intent Strings

An list of strings Required: YES.

Array<string>
>= 1 items <= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
automation_type_filter
object
automation_type_strings
Automation Type Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
browser_filter
object
browser_strings
Browser Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
country_filter
object
country_strings
Country Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
host_filter
object
host_strings
Host Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
inference_filter
object
inference_strings
Inference Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
ip_filter
object
ips
IP Addresses

An unordered list of IPv4 addresses Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
method_filter
object
method_strings
Method Strings

An list of strings Required: YES.

Array<string>
>= 1 items <= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
os_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
os_strings
OS Strings

An list of strings Required: YES.

Array<string>
<= 64 items
referer_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
referer_strings
Inference Strings

An list of strings Required: YES.

Array<string>
<= 64 items
region_filter
string
default: US
Allowed values: US EU ASIA CA
traffic_type_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
traffic_type_strings
Traffic Type Strings

An list of strings Required: YES.

Array<string>
<= 64 items
ua_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
ua_strings
User Agent Strings

An unordered list of user agent strings Required: YES.

Array<string>
<= 64 items
uri_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
uri_strings
URI Strings

An list of strings Required: YES.

Array<string>
<= 64 items
namespace
Namespace

Namespace is used to scope the query. Only virtual_host in given namespace will be considered. Required: YES.

string
>= 6 characters <= 1024 characters
start_time
Start time

Start time of the query period Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters
use_raw_data
Use raw data

Optional: by default is false. If use_raw_data = True and referer filter is set, then backend will query raw data.

boolean format: boolean
virtual_host
Virtual Host Name

Name of Virtual Host to scope the query Required: YES.

string
<= 1024 characters

A successful response.

Media typeapplication/json
EndpointCategoryResponse

Response that contains Endpoint Data.

object
endpoint_categories
x-displayName: "Endpoint Category Data" x-example: "" Endpoint Category Data

Endpoint Category Data.

Array<object>
Endpoint Category Data

Response that contains Endpoint Category Data.

object
action_distribution

Action or operation type

Array<object>
DistributionData

Distribution Data.

object
count
Count

Number of items or occurrences

string format: uint64
<= 1024 characters
name
Name

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
percentage
Percentage

Percentage.

number format: double
category_label
x-displayName: "Flow Label or Flow Category" x-example: "Login" Flow Label or Flow Category

Flow Label or Flow Category.

string
<= 1024 characters
endpoint_count
x-displayName: "Endpoint Count"

Endpoint or connection point

string format: uint64
<= 1024 characters
event_count
x-displayName: "Event Count"

Event or occurrence data

string format: uint64
<= 1024 characters
event_percentage
percentage of total event

Event percentage.

number format: double
traffic_channel

Configuration parameter for traffic channel

Array<object>
DistributionData

Distribution Data.

object
count
Count

Number of items or occurrences

string format: uint64
<= 1024 characters
name
Name

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
percentage
Percentage

Percentage.

number format: double
traffic_distribution

Configuration parameter for traffic distribution

Array<object>
DistributionData

Distribution Data.

object
count
Count

Number of items or occurrences

string format: uint64
<= 1024 characters
name
Name

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
percentage
Percentage

Percentage.

number format: double
endpoint_count
x-displayName: "Total Endpoint Count"

Endpoint or connection point

string format: uint64
<= 1024 characters
event_count
x-displayName: "Total Event Count"

Event or occurrence data

string format: uint64
<= 1024 characters
Examplegenerated
{
"endpoint_categories": [
{
"action_distribution": [
{
"count": "example",
"name": "example",
"percentage": 1
}
],
"category_label": "example",
"endpoint_count": "example",
"event_count": "example",
"event_percentage": 1,
"traffic_channel": [
{
"count": "example",
"name": "example",
"percentage": 1
}
],
"traffic_distribution": [
{
"count": "example",
"name": "example",
"percentage": 1
}
]
}
],
"endpoint_count": "example",
"event_count": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example